<?php

include './conexion.php';
session_start();
if (isset($_POST['usuario']) && isset($_POST['clave'])) {
    $loginnombre = $_POST["usuario"];
    $loginclave = $_POST["clave"];

    $sql = "SELECT * FROM alm_usuario WHERE usuario='$loginnombre' AND clave='$loginclave'";
    $result = $conn->query($sql);
    $row = $result->fetch_assoc();

    if ($row['usuario'] == $loginnombre && $row['clave'] == $loginclave && $row['rol'] == 'Administrador') {
        $_SESSION['id_usuario'] = $row['id'];

        header("Location: ../mod-admin/inicio/inicio.php");
    } elseif ($row['usuario'] == $loginnombre && $row['clave'] == $loginclave && $row['rol'] == 'Asesor') {
        $_SESSION['id_usuario'] = $row['id'];

        header("Location: ../mod-asesor/inicio/inicio.php");
    } elseif ($row['usuario'] == $loginnombre && $row['clave'] == $loginclave && $row['rol'] == 'Bodega') {
        $_SESSION['id_usuario'] = $row['id'];

        header("Location: ../mod-bodega/inicio/inicio.php");
    } elseif ($row['usuario'] == $loginnombre && $row['clave'] == $loginclave && $row['rol'] == 'Apoyo') {
        $_SESSION['id_usuario'] = $row['id'];

        header("Location: ../mod-apoyo/inicio/inicio.php");
    } else {
        echo '<script language = javascript>
		self.location = "../alert-login.php" 
		</script>';
    }
} else {
    echo '<script language = javascript>
		self.location = "../alert-login.php" 
		</script>';
}
?>
